org.aspectj.lang.reflect

## Interface DeclareErrorOrWarning

All Known Implementing Classes:
  DeclareErrorOrWarningImpl

    public interface DeclareErrorOrWarning

AspectJ runtime representation of a declare error or declare warning member in an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType` `getDeclaringType()`
`String` `getMessage()`
`PointcutExpression` `getPointcutExpression()`
`boolean` `isError()`

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

Returns:
  the type that declared this declare warning or declare error member.

#### getPointcutExpression

    PointcutExpression getPointcutExpression()

Returns:
  the pointcut expression associated with the warning or error

#### getMessage

    String getMessage()

Returns:
  the message associated with the declare warning / declare error

#### isError

    boolean isError()

Returns:
  true if this is a declare error member, false if it is declare warning